=== debian/changelog ===
imhex-patterns (1.29.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:45:01 +0200

imhex-patterns (1.29.0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 Jun 2023 16:33:27 +0200
