=== debian/control ===
Source: imhex-patterns
Section: misc
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://github.com/WerWolv/ImHex-Patterns

Package: imhex-patterns
Architecture: all
Depends:
 ${misc:Depends},
Description: ImHex Database
 This package contains a database for files to use with the ImHex Hex Editor.
 It currently contains:
    * Patterns - Binary Format definitions for the Pattern Language
    * Pattern Libraries - Libraries that make using the Pattern Language easier
    * Magic Files - Custom magic file definitions for the use with libmagic
    * Encodings - Custom encodings in the .tbl format
    * Data Processor Nodes - Custom nodes made for ImHex's Data Processor
    * Themes - Custom themes for ImHex
    * Constants - Constants definition files
    * Scripts - Various scripts to generate code or automate some tasks
    * Yara - Custom Yara rules
