=== debian/changelog ===
imhex-patterns (1.35.4-0kali1) kali-dev; urgency=medium

  * New upstream version 1.35.4

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Aug 2024 17:41:51 +0200

imhex-patterns (1.34.0-0kali1) kali-dev; urgency=medium

  * Fix debian/watch
  * New upstream version 1.34.0
  * Update installation

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 07 Jun 2024 13:17:58 +0200
