=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: imhex-patterns
 Section: misc
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
 Standards-Version: 4.6.2
 Homepage: https://github.com/WerWolv/ImHex-Patterns
+Vcs-Browser: https://gitlab.com/kalilinux/packages/imhex-patterns
+Vcs-Git: https://gitlab.com/kalilinux/packages/imhex-patterns.git
 
 Package: imhex-patterns
 Architecture: all
