=== debian/changelog ===
imhex-patterns (1.37.4-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * Update my email
  * New upstream version 1.37.4 (see 9291)
  * Add missing build-dep cmake

 -- Sophie Brun <sophie@kali.org>  Mon, 15 Sep 2025 16:56:40 +0200
