=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
-Rules-Requires-Root: no
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends:
  debhelper-compat (= 13),
+ cmake
 Standards-Version: 4.6.2
 Homepage: https://github.com/WerWolv/ImHex-Patterns
 Vcs-Browser: https://gitlab.com/kalilinux/packages/imhex-patterns
