## imhex-patterns 1.38.0

=== debian/changelog ===
imhex-patterns (1.38.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.38.0

 -- Sophie Brun <sophie@kali.org>  Tue, 16 Dec 2025 15:19:50 +0100
