=== debian/changelog ===
imhex-patterns (1.38.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.38.1

 -- Sophie Brun <sophie@kali.org>  Thu, 08 Jan 2026 16:36:27 +0100
